<template>
  <div>
    <!-- MENSAGEM DE ALERTA -->
    <b-alert
      v-model="showDismissibleAlert"
      variant="danger"
      dismissible
    >site ainda não esta funcional</b-alert>
    <div>
      <b-container fluid>
        <b-row align-h="center" class="mt-2">
          <b-col>
            <div>
              <b-carousel
                id="carousel-1"
                v-model="slide"
                :interval="4000"
                controls
                indicators
                background="#ababab"
                img-width="1080"
                img-height="480"
                style="text-shadow: 1px 1px 2px #333;"
                @sliding-start="onSlideStart"
                @sliding-end="onSlideEnd"
              >
                <!-- Text slides with image -->
                <b-carousel-slide
                  caption="Algum Jogo"
                  text="Sua descrição aqui"
                  img-src="https://picsum.photos/1024/480/?image=52"
                ></b-carousel-slide>
                <!-- Slides with custom text -->
                <b-carousel-slide
                  caption="Algum Jogo"
                  text="Sua descrição aqui"
                  img-src="https://picsum.photos/1024/480/?image=52"
                ></b-carousel-slide>

                <!-- Slides with image only -->
                <b-carousel-slide
                  caption="Algum Jogo"
                  text="Sua descrição aqui"
                  img-src="https://picsum.photos/1024/480/?image=52"
                ></b-carousel-slide>

                <!-- Slides with img slot -->
                <!-- Note the classes .d-block and .img-fluid to prevent browser default image alignment -->
                <b-carousel-slide
                  caption="Algum Jogo"
                  text="Sua descrição aqui"
                  img-src="https://picsum.photos/1024/480/?image=52"
                ></b-carousel-slide>

                <!-- Slide with blank fluid image to maintain slide aspect ratio -->
                <b-carousel-slide
                  caption="Algum Jogo"
                  text="Sua descrição aqui"
                  img-src="https://picsum.photos/1024/480/?image=52"
                ></b-carousel-slide>
              </b-carousel>
            </div>
          </b-col>
        </b-row>
      </b-container>

      <b-container fluid id="box">
        <div align-h="center">
        <b-row align-h="center" class="mt-5">
          <b-col>
            <b-jumbotron bg-variant="dark" text-variant="white" border-variant="dark">
              <h2>Destaques</h2>
              <hr class="my-4">
              <div>
                <div>
                  <h3>Mais Apoiados</h3>
                  <b-card-group deck>
                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>
                    
                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>
                  </b-card-group>
                </div>
              </div>
              <hr class="my-4">
              <h2>Mais Curtidos</h2>
              <div>
                <div>
                  <b-card-group deck>
                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>                                      

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>

                    <b-card
                      title="Algum jogo"
                      border-variant="info"
                      img-src="https://picsum.photos/600/300/?image=25"
                      img-alt="Image"
                      img-top
                      tag="article"
                      style="max-width: 20rem;"
                      class="mb-2"
                      bg-variant="secondary"
                    >
                      <b-card-text>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                        Nulla aliquam egestas lorem a lobortis. Cras bibendum sapien nisl,
                        vitae auctor nulla pulvinar vel.
                      </b-card-text>
<b-badge variant="danger">RPG</b-badge>
  <b-badge variant="danger">Mundo Aberto</b-badge>
  <b-badge variant="danger">Ação</b-badge><br><br>
                      <b-button href="#" variant="light">Leia mais</b-button>
                    </b-card>
                  </b-card-group>
                </div>
              </div>
            </b-jumbotron>
          </b-col>
        </b-row>
        </div>
      </b-container>
    </div>
  </div>
</template>
<script>
export default {
  data () {
    return {
      showDismissibleAlert: true
    }
  },
  methods: {
    onSlideStart (slide) {
      this.sliding = true
    },
    onSlideEnd (slide) {
      this.sliding = false
    }
  },
  mainProps: {
    center: true,
    fluidGrow: true,
    blank: true,
    blankColor: '#bbb',
    width: 600,
    height: 400,
    class: 'my-5'
  }
}
</script>
<style>
@import url("https://fonts.googleapis.com/css?family=Lato:400,700");

body {
  font-family: "Lato", sans-serif;
}
#title_carousel {
  color: rgb(100, 100, 100);
}
h2 {
  color: aliceblue;
}
#box{
  box-shadow: 2px 2px;
}
</style>

